# Create Application

Create a new application. The application will be created in the system and an email will be sent to the applicant requesting consent.

Endpoint: POST /api/v1/patient-registry/application
Version: V1
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `ProjectId` (string, required)

## Request fields (application/json):

  - `id` (string, required)
    Example: c8ec1d54-a85c-411f-aa12-fd3a7f2480f4

  - `firstName` (string, required)
    Example: David

  - `middleName` (string)
    Full middle name or a bare initial; omit if the applicant has none.
    Example: Quincy

  - `lastName` (string, required)
    Example: Mann

  - `birthDate` (string, required)
    Example: 2023-05-26

  - `addressLine1` (string)
    Example: 123 Main St.

  - `addressLine2` (string)
    Example: Apt 4B

  - `addressCity` (string)
    Example: Minneapolis

  - `addressState` (string)
    Two letter state code
    Example: MN

  - `addressPostalCode` (string, required)
    Example: 55401

  - `sexAtBirth` (string, required)
    Enum: "male", "female", "unknown"

  - `emailAddress` (string, required)
    Example: david.mann@example.com

  - `phoneNumber` (string)
    Example: 123-456-7890

  - `cohortId` (string)
    Example: f46c52af-820b-4169-82af-b740b54d8bb5

  - `onConsentWebhookUrl` (string)
    Webhook URL to invoke when an applicant accepts or denies consent.
    Example: https://example.com/webhooks/consent

  - `onIdentityValidationWebhookUrl` (string)
    Webhook URL to invoke when there's a result for an applicant's identity validation.
    Example: https://example.com/webhooks/identity-validation

  - `onQueryResultWebhookUrl` (string)
    Webhook URL to invoke when there's a result for an applicant's EHR query.
    Example: https://example.com/webhooks/ehr-query

## Response 201 fields (application/json):

  - `id` (string, required)
    Example: c8ec1d54-a85c-411f-aa12-fd3a7f2480f4

  - `created` (string, required)
    Example: 2025-05-26T23:30:40.912Z

  - `updated` (string, required)
    Example: 2025-05-26T23:30:40.912Z

  - `firstName` (string, required)
    Example: David

  - `middleName` (string)
    Full middle name or a bare initial; omit if the applicant has none.
    Example: Quincy

  - `lastName` (string, required)
    Example: Mann

  - `birthDate` (string, required)
    Example: 2023-05-26

  - `addressLine1` (string)
    Example: 123 Main St.

  - `addressLine2` (string)
    Example: Apt 4B

  - `addressCity` (string)
    Example: Minneapolis

  - `addressState` (string)
    Two letter state code
    Example: MN

  - `addressPostalCode` (string, required)
    Example: 55401

  - `sexAtBirth` (string, required)
    Enum: "male", "female", "unknown"

  - `emailAddress` (string, required)
    Example: david.mann@example.com

  - `phoneNumber` (string)
    Example: 123-456-7890

  - `cohortId` (string)
    Example: f46c52af-820b-4169-82af-b740b54d8bb5

  - `cohortName` (string)
    Example: Cohort A

  - `consentAccepted` (boolean)

  - `onConsentWebhookUrl` (string)
    Webhook URL to invoke when an applicant accepts or denies consent.
    Example: https://example.com/webhooks/consent

  - `onIdentityValidationWebhookUrl` (string)
    Webhook URL to invoke when there's a result for an applicant's identity validation.
    Example: https://example.com/webhooks/identity-validation

  - `onQueryResultWebhookUrl` (string)
    Webhook URL to invoke when there's a result for an applicant's EHR query.
    Example: https://example.com/webhooks/ehr-query

